Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share.sql
Class DataValue

    java.lang.Object
      oracle.ifs.share.sql.DataValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class DataValue

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable, java.lang.Comparable

A DataValue represents a scalar or array data value selected from the database, or used to insert or update columns in the database.

In addition to the value itself, a DataValue tracks the data type, whether the value is an array-type, and whether the value is null. The class also provides methods to retrieve the value as various Java types, such as int, Integer, or String (not all of these are available for all DataValue data types). All of these conversion methods take an optional (nullable) DataValueLocalizer argument, used to perform any needed localization (specifically, parsing and formatting numbers and dates).

DataValues also track the name of the data element whose value they represent. After you use a `newDataValue` method to create a DataValue, you can invoke the `setName` method to set its name. This is optional, and is only useful when the DataValue instance will later be used in a context where the name is relevant. Note that once a DataValue's name is set, it cannot be altered except in limited ways using the `ensureUpperCaseName` and `overrideName` methods.

See Also:
  Serialized Form
(Published)

Field Summary
`static int` | `DATATYPE_BOOLEAN` The data type of boolean values.
`static int` | `DATATYPE_BOOLEAN_ARRAY` The data type of array-type boolean values.
`static int` | `DATATYPE_DATE` The data type of date values.
`static int` | `DATATYPE_DATE_ARRAY` The data type of array-type date values.
`static int` | `DATATYPE_DOUBLE` The data type of double values.
`static int` | `DATATYPE_DOUBLE_ARRAY` The data type of array-type double values.
`static int` | `DATATYPE_INTEGER` The data type of integer values.
`static int` | `DATATYPE_INTEGER_ARRAY` The data type of array-type integer values.
`static java.lang.String` | `DATATYPE_LABEL_BOOLEAN` The label for boolean datatype.
`static java.lang.String` | `DATATYPE_LABEL_BOOLEAN_ARRAY` The label for boolean array datatype.
`static java.lang.String` | `DATATYPE_LABEL_DATE` The label for date datatype.
`static java.lang.String` | `DATATYPE_LABEL_DATE_ARRAY` The label for date array datatype.
`static java.lang.String` | `DATATYPE_LABEL_DOUBLE` The label for double datatype.
`static java.lang.String` | `DATATYPE_LABEL_DOUBLE_ARRAY` The label for double array datatype.
`static java.lang.String` | `DATATYPE_LABEL_INTEGER` The label for integer datatype.
`static java.lang.String` | `DATATYPE_LABEL_INTEGER_ARRAY` The label for integer array datatype.
`static java.lang.String` | `DATATYPE_LABEL_LONG` The label for long datatype.
`static java.lang.String` | `DATATYPE_LABEL_LONG_ARRAY` The label for long array datatype.
`static java.lang.String` | `DATATYPE_LABEL_STRING` The label for string datatype.
`static java.lang.String` | `DATATYPE_LABEL_STRING_ARRAY` The label for string array datatype.
`static java.lang.String` | `DATATYPE_LABEL_UNKNOWN` The label for unknown datatype.
`static int` | `DATATYPE_LONG` The data type of long values.
`static int` | `DATATYPE_LONG_ARRAY` The data type of array-type long values.
`static int` | `DATATYPE_STRING` The data type of string values.
`static int` | `DATATYPE_STRING_ARRAY` The data type of array-type string values.
`static int` | `DATATYPE_UNKNOWN` An unknown data type.
`static java.lang.Long` | `LONG_ZERO` Constant for a Long representation of zero, commonly used in some cases to indicate essentially a null numeric setting.

Constructor Summary
`protected` | `DataValue()` Constructs a null DataValue of an unknown data type.

Method Summary
`static java.util.Hashtable` | `arrayToHashtable(DataValue[] values)` Converts an array of DataValues to a Hashtable, hashed by name.
`int` | `compareTo(java.lang.Object o)` Compares two DataValues.
`protected boolean` | `convertToBoolean(DataValueLocalizer localizer, int index)` Converts this DataValue to a boolean.
`protected boolean[]` | `convertToBooleanArray(DataValueLocalizer localizer)` Converts this DataValue to an array of booleans.
`protected java.lang.Boolean` | `convertToBooleanObject(DataValueLocalizer localizer, int index)` Converts this DataValue to a Boolean.
`protected java.lang.Boolean[]` | `convertToBooleanObjectArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Booleans.
`protected java.util.Date` | `convertToDate(DataValueLocalizer localizer, int index)` Converts this DataValue to a Date.
`protected java.util.Date[]` | `convertToDateArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Dates.
`protected double` | `convertToDouble(DataValueLocalizer localizer, int index)` Converts this DataValue to a double.
`protected double[]` | `convertToDoubleArray(DataValueLocalizer localizer)` Converts this DataValue to an array of doubles.
`protected java.lang.Double` | `convertToDoubleObject(DataValueLocalizer localizer, int index)` Converts this DataValue to a Double.
`protected java.lang.Double[]` | `convertToDoubleObjectArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Doubles.
`protected int` | `convertToInteger(DataValueLocalizer localizer, int index)` Converts this DataValue to an int.
`protected int[]` | `convertToIntegerArray(DataValueLocalizer localizer)` Converts this DataValue to an array of ints.
`protected java.lang.Integer` | `convertToIntegerObject(DataValueLocalizer localizer, int index)` Converts this DataValue to an Integer.
`protected java.lang.Integer[]` | `convertToIntegerObjectArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Integers.
`protected long` | `convertToLong(DataValueLocalizer localizer, int index)` Converts this DataValue to a long.
`protected long[]` | `convertToLongArray(DataValueLocalizer localizer)` Converts this DataValue to an array of longs.
`protected java.lang.Long` | `convertToLongObject(DataValueLocalizer localizer, int index)` Converts this DataValue to a Long.
`protected java.lang.Long[]` | `convertToLongObjectArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Longs.
`protected java.lang.String` | `convertToString(DataValueLocalizer localizer, int index)` Converts this DataValue to a String.
`protected java.lang.String[]` | `convertToStringArray(DataValueLocalizer localizer)` Converts this DataValue to an array of Strings.
`void` | `ensureUpperCaseName()` Ensures the name of this DataValue (if any) is uppercase.
`boolean` | `getBoolean()` Gets this DataValue's representation as a boolean.
`boolean` | `getBoolean(DataValueLocalizer localizer)` Gets this DataValue's representation as a boolean.
`boolean[]` | `getBooleanArray()` Gets this DataValue's representation as an array of booleans.
`boolean[]` | `getBooleanArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of booleans.
`boolean` | `getBooleanArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of booleans.
`boolean` | `getBooleanArray(int index)` Get the specified element of this DataValue's representation as an array of booleans.
`java.lang.Boolean` | `getBooleanObject()` Gets this DataValue's representation as a Boolean.
`java.lang.Boolean` | `getBooleanObject(DataValueLocalizer localizer)` Gets this DataValue's representation as a Boolean.
`java.lang.Boolean[]` | `getBooleanObjectArray()` Gets this DataValue's representation as an array of Booleans.
`java.lang.Boolean[]` | `getBooleanObjectArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Booleans.
`java.lang.Boolean` | `getBooleanObjectArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Booleans.
`java.lang.Boolean` | `getBooleanObjectArray(int index)` Get the specified element of this DataValue's representation as an array of Booleans.
`int` | `getDataType()` Gets the data type of this DataValue.
`java.lang.String` | `getDataTypeLabel()` Gets the label for the data type associated with this DataValue.
`static java.lang.String` | `getDataTypeLabel(int dataType)` Gets the label for the specified data type.
`java.util.Date` | `getDate()` Gets this DataValue's representation as a Date.
`java.util.Date` | `getDate(DataValueLocalizer localizer)` Gets this DataValue's representation as a Date.
`java.util.Date[]` | `getDateArray()` Gets this DataValue's representation as an array of Dates.
`java.util.Date[]` | `getDateArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Dates.
`java.util.Date` | `getDateArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Dates.
`java.util.Date` | `getDateArray(int index)` Get the specified element of this DataValue's representation as an array of Dates.
`double` | `getDouble()` Gets this DataValue's representation as a double.
`double` | `getDouble(DataValueLocalizer localizer)` Gets this DataValue's representation as a double.
`double[]` | `getDoubleArray()` Gets this DataValue's representation as an array of doubles.
`double[]` | `getDoubleArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of doubles.
`double` | `getDoubleArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of doubles.
`double` | `getDoubleArray(int index)` Get the specified element of this DataValue's representation as an array of doubles.
`java.lang.Double` | `getDoubleObject()` Gets this DataValue's representation as a Double.
`java.lang.Double` | `getDoubleObject(DataValueLocalizer localizer)` Gets this DataValue's representation as a Double.
`java.lang.Double[]` | `getDoubleObjectArray()` Gets this DataValue's representation as an array of Doubles.
`java.lang.Double[]` | `getDoubleObjectArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Doubles.
`java.lang.Double` | `getDoubleObjectArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Doubles.
`java.lang.Double` | `getDoubleObjectArray(int index)` Get the specified element of this DataValue's representation as an array of Doubles.
`int` | `getElementCount()` Gets the number of elements in an array-type DataValue.
`int` | `getInteger()` Gets this DataValue's representation as an int.
`int` | `getInteger(DataValueLocalizer localizer)` Gets this DataValue's representation as an int.
`int[]` | `getIntegerArray()` Gets this DataValue's representation as an array of ints.
`int[]` | `getIntegerArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of ints.
`int` | `getIntegerArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of ints.
`int` | `getIntegerArray(int index)` Get the specified element of this DataValue's representation as an array of ints.
`java.lang.Integer` | `getIntegerObject()` Gets this DataValue's representation as an Integer.
`java.lang.Integer` | `getIntegerObject(DataValueLocalizer localizer)` Gets this DataValue's representation as an Integer.
`java.lang.Integer[]` | `getIntegerObjectArray()` Gets this DataValue's representation as an array of Integers.
`java.lang.Integer[]` | `getIntegerObjectArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Integers.
`java.lang.Integer` | `getIntegerObjectArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Integers.
`java.lang.Integer` | `getIntegerObjectArray(int index)` Get the specified element of this DataValue's representation as an array of Integers.
`long` | `getLong()` Gets this DataValue's representation as a long.
`long` | `getLong(DataValueLocalizer localizer)` Gets this DataValue's representation as a long.
`long[]` | `getLongArray()` Gets this DataValue's representation as an array of longs.
`long[]` | `getLongArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of longs.
`long` | `getLongArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of longs.
`long` | `getLongArray(int index)` Get the specified element of this DataValue's representation as an array of longs.
`java.lang.Long` | `getLongObject()` Gets this DataValue's representation as a Long.
`java.lang.Long` | `getLongObject(DataValueLocalizer localizer)` Gets this DataValue's representation as a Long.
`java.lang.Long[]` | `getLongObjectArray()` Gets this DataValue's representation as an array of Longs.
`java.lang.Long[]` | `getLongObjectArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Longs.
`java.lang.Long` | `getLongObjectArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Longs.
`java.lang.Long` | `getLongObjectArray(int index)` Get the specified element of this DataValue's representation as an array of Longs.
`java.lang.String` | `getName()` Gets the name of this DataValue.
`java.lang.Object` | `getObject(DataValueLocalizer localizer)` Gets the default object representation of this DataValue.
`java.lang.String` | `getString()` Gets this DataValue's representation as a String.
`java.lang.String` | `getString(DataValueLocalizer localizer)` Gets this DataValue's representation as a String.
`java.lang.String[]` | `getStringArray()` Gets this DataValue's representation as an array of Strings.
`java.lang.String[]` | `getStringArray(DataValueLocalizer localizer)` Gets this DataValue's representation as an array of Strings.
`java.lang.String` | `getStringArray(DataValueLocalizer localizer, int index)` Get the specified element of this DataValue's representation as an array of Strings.
`java.lang.String` | `getStringArray(int index)` Get the specified element of this DataValue's representation as an array of Strings.
`static DataValue[]` | `hashtableToArray(java.util.Hashtable ht)` Converts a hash table of DataValues to an array.
`boolean` | `isArrayType()` Gets whether this DataValue is an array-type DataValue.
`static boolean` | `isArrayType(int dataType)` Gets whether this DataValue is an array-type DataValue.
`boolean` | `isNullValue()` Gets whether this DataValue is null.
`static DataValue` | `newDataValue()` Constructs a null DataValue of an unknown data type.
`static DataValue` | `newDataValue(boolean value)` Constructs a new boolean DataValue.
`static DataValue` | `newDataValue(java.lang.Boolean value)` Constructs a new boolean DataValue.
`static DataValue` | `newDataValue(boolean[] values)` Constructs a new array-type boolean DataValue.
`static DataValue` | `newDataValue(java.lang.Boolean[] values)` Constructs a new array-type boolean DataValue.
`static DataValue` | `newDataValue(DataValue dv)` Constructs a new DataValue identical to the specified DataValue except with no name.
`static DataValue` | `newDataValue(java.util.Date value)` Constructs a new date DataValue.
`static DataValue` | `newDataValue(java.util.Date[] values)` Constructs a new array-type date DataValue.
`static DataValue` | `newDataValue(double value)` Constructs a new double DataValue.
`static DataValue` | `newDataValue(java.lang.Double value)` Constructs a new double DataValue.
`static DataValue` | `newDataValue(double[] values)` Constructs a new array-type double DataValue.
`static DataValue` | `newDataValue(java.lang.Double[] values)` Constructs a new array-type double DataValue.
`static DataValue` | `newDataValue(int value)` Constructs a new integer DataValue.
`static DataValue` | `newDataValue(int[] values)` Constructs a new array-type integer DataValue.
`static DataValue` | `newDataValue(java.lang.Integer value)` Constructs a new integer DataValue.
`static DataValue` | `newDataValue(java.lang.Integer[] values)` Constructs a new array-type integer DataValue.
`static DataValue` | `newDataValue(long value)` Constructs a new long DataValue.
`static DataValue` | `newDataValue(java.lang.Long value)` Constructs a new long DataValue.
`static DataValue` | `newDataValue(long[] values)` Constructs a new array-type long DataValue.
`static DataValue` | `newDataValue(java.lang.Long[] values)` Constructs a new array-type long DataValue.
`static DataValue` | `newDataValue(java.lang.Long id, int dataType)` Internal use only: Constructs a new DataValue of the specified data type for the specified id.
`static DataValue` | `newDataValue(java.lang.Object value)` Constructs a new DataValue for the specified object.
`static DataValue` | `newDataValue(java.lang.String value)` Constructs a new string DataValue.
`static DataValue` | `newDataValue(java.lang.String[] values)` Constructs a new array-type string DataValue.
`static DataValue` | `newNullDataValue(int dataType)` Constructs a null DataValue of the specified data type.
`static DataValue` | `overrideName(java.lang.String name, DataValue dv)` Overrides the name set for this DataValue by cloning the DataValue if the name is already set.
`void` | `setName(java.lang.String name)` Sets the name of this DataValue.
`protected java.lang.Boolean` | `toBoolean(java.lang.Double value, DataValueLocalizer localizer)` Converts a Double to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.Integer value, DataValueLocalizer localizer)` Converts an Integer to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.Long value, DataValueLocalizer localizer)` Converts a Long to a Boolean.
`protected java.lang.Boolean` | `toBoolean(java.lang.String value, DataValueLocalizer localizer)` Converts a String to a Boolean.
`protected java.util.Date` | `toDate(java.util.Date value, DataValueLocalizer localizer)` Converts a Date to a Date (creates a clone).
`protected java.util.Date` | `toDate(java.lang.String value, DataValueLocalizer localizer)` Converts a String to a Date.
`protected java.lang.Double` | `toDouble(java.lang.Boolean value, DataValueLocalizer localizer)` Converts a Boolean to a Double.
`protected java.lang.Double` | `toDouble(java.lang.Number value, DataValueLocalizer localizer)` Converts a Number to a Double.
`protected java.lang.Double` | `toDouble(java.lang.String value, DataValueLocalizer localizer)` Converts a String to a Double.
`protected java.lang.Integer` | `toInteger(java.lang.Boolean value, DataValueLocalizer localizer)` Converts a Boolean to an Integer.
`protected java.lang.Integer` | `toInteger(java.lang.Number value, DataValueLocalizer localizer)` Converts a Number to an Integer.
`protected java.lang.Integer` | `toInteger(java.lang.String value, DataValueLocalizer localizer)` Converts a String to an Integer.
`protected java.lang.Long` | `toLong(java.lang.Boolean value, DataValueLocalizer localizer)` Converts a Boolean to a Long.
`protected java.lang.Long` | `toLong(java.util.Date value, DataValueLocalizer localizer)` Converts a Date to a Long.
`protected java.lang.Long` | `toLong(java.lang.Number value, DataValueLocalizer localizer)` Converts a Number to a Long.
`protected java.lang.Long` | `toLong(java.lang.String value, DataValueLocalizer localizer)` Converts a String to a Long.
`static int` | `toSqlType(int dataType)` Gets the SQL (JDBC) type for the specified data type.
`java.lang.String` | `toString()` Gets the default object representation of this DataValue as a string.
`protected java.lang.String` | `toString(java.lang.Boolean value, DataValueLocalizer localizer)` Converts a Boolean to a String.
`java.lang.String` | `toString(DataValueLocalizer localizer)` Gets the default object representation of this DataValue as a string.
`protected java.lang.String` | `toString(java.util.Date value, DataValueLocalizer localizer)` Converts a Date to a String.
`protected java.lang.String` | `toString(java.lang.Double value, DataValueLocalizer localizer)` Converts a Double to a String.
`protected java.lang.String` | `toString(java.lang.Integer value, DataValueLocalizer localizer)` Converts an Integer to a String.
`protected java.lang.String` | `toString(java.lang.Long value, DataValueLocalizer localizer)` Converts a Long to a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATATYPE_UNKNOWN

    public static final int DATATYPE_UNKNOWN

  Description copied from class: `DataValue`
  An unknown data type.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_DATE

    public static final int DATATYPE_DATE

  Description copied from class: `DataValue`
  The data type of date values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_STRING

    public static final int DATATYPE_STRING

  Description copied from class: `DataValue`
  The data type of string values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_DOUBLE

    public static final int DATATYPE_DOUBLE

  Description copied from class: `DataValue`
  The data type of double values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_INTEGER

    public static final int DATATYPE_INTEGER

  Description copied from class: `DataValue`
  The data type of integer values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_BOOLEAN

    public static final int DATATYPE_BOOLEAN

  Description copied from class: `DataValue`
  The data type of boolean values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LONG

    public static final int DATATYPE_LONG

  Description copied from class: `DataValue`
  The data type of long values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_DATE_ARRAY

    public static final int DATATYPE_DATE_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type date values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_STRING_ARRAY

    public static final int DATATYPE_STRING_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type string values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_DOUBLE_ARRAY

    public static final int DATATYPE_DOUBLE_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type double values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_INTEGER_ARRAY

    public static final int DATATYPE_INTEGER_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type integer values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_BOOLEAN_ARRAY

    public static final int DATATYPE_BOOLEAN_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type boolean values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LONG_ARRAY

    public static final int DATATYPE_LONG_ARRAY

  Description copied from class: `DataValue`
  The data type of array-type long values.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_UNKNOWN

    public static final java.lang.String DATATYPE_LABEL_UNKNOWN

  Description copied from class: `DataValue`
  The label for unknown datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_DATE

    public static final java.lang.String DATATYPE_LABEL_DATE

  Description copied from class: `DataValue`
  The label for date datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_STRING

    public static final java.lang.String DATATYPE_LABEL_STRING

  Description copied from class: `DataValue`
  The label for string datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_DOUBLE

    public static final java.lang.String DATATYPE_LABEL_DOUBLE

  Description copied from class: `DataValue`
  The label for double datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_INTEGER

    public static final java.lang.String DATATYPE_LABEL_INTEGER

  Description copied from class: `DataValue`
  The label for integer datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_BOOLEAN

    public static final java.lang.String DATATYPE_LABEL_BOOLEAN

  Description copied from class: `DataValue`
  The label for boolean datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_LONG

    public static final java.lang.String DATATYPE_LABEL_LONG

  Description copied from class: `DataValue`
  The label for long datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_DATE_ARRAY

    public static final java.lang.String DATATYPE_LABEL_DATE_ARRAY

  Description copied from class: `DataValue`
  The label for date array datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_STRING_ARRAY

    public static final java.lang.String DATATYPE_LABEL_STRING_ARRAY

  Description copied from class: `DataValue`
  The label for string array datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_DOUBLE_ARRAY

    public static final java.lang.String DATATYPE_LABEL_DOUBLE_ARRAY

  Description copied from class: `DataValue`
  The label for double array datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_INTEGER_ARRAY

    public static final java.lang.String DATATYPE_LABEL_INTEGER_ARRAY

  Description copied from class: `DataValue`
  The label for integer array datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_BOOLEAN_ARRAY

    public static final java.lang.String DATATYPE_LABEL_BOOLEAN_ARRAY

  Description copied from class: `DataValue`
  The label for boolean array datatype.

  See Also:
    Constant Field Values
  (Published)

### DATATYPE_LABEL_LONG_ARRAY

    public static final java.lang.String DATATYPE_LABEL_LONG_ARRAY

  Description copied from class: `DataValue`
  The label for long array datatype.

  See Also:
    Constant Field Values
  (Published)

### LONG_ZERO

    public static final java.lang.Long LONG_ZERO

  Description copied from class: `DataValue`
  Constant for a Long representation of zero, commonly used in some cases to indicate essentially a null numeric setting.

  (Unpublished)

Constructor Detail

### DataValue

    protected DataValue()

  Constructs a null DataValue of an unknown data type.

  (Unpublished)

Method Detail

### newDataValue

    public static final DataValue newDataValue(int value)

  Description copied from class: `DataValue`
  Constructs a new integer DataValue.

  Parameters:
    `value` - the integer value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Integer value)

  Description copied from class: `DataValue`
  Constructs a new integer DataValue.

  Parameters:
    `value` - the integer value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(long value)

  Description copied from class: `DataValue`
  Constructs a new long DataValue.

  Parameters:
    `value` - the long value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Long value)

  Description copied from class: `DataValue`
  Constructs a new long DataValue.

  Parameters:
    `value` - the long value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(double value)

  Description copied from class: `DataValue`
  Constructs a new double DataValue.

  Parameters:
    `value` - the double value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Double value)

  Description copied from class: `DataValue`
  Constructs a new double DataValue.

  Parameters:
    `value` - the double value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.String value)

  Description copied from class: `DataValue`
  Constructs a new string DataValue. If an empty string is passed as an argument, the DataValue string will be null.

  Parameters:
    `value` - the string value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.util.Date value)

  Description copied from class: `DataValue`
  Constructs a new date DataValue.

  Parameters:
    `value` - the date value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(boolean value)

  Description copied from class: `DataValue`
  Constructs a new boolean DataValue.

  Parameters:
    `value` - the boolean value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Boolean value)

  Description copied from class: `DataValue`
  Constructs a new boolean DataValue.

  Parameters:
    `value` - the boolean value
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(int[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type integer DataValue.

  Parameters:
    `values` - the integer values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Integer[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type integer DataValue.

  Parameters:
    `values` - the integer values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(long[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type long DataValue.

  Parameters:
    `values` - the long values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Long[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type long DataValue.

  Parameters:
    `values` - the long values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(double[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type double DataValue.

  Parameters:
    `values` - the double values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Double[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type double DataValue.

  Parameters:
    `values` - the double values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.String[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type string DataValue. If the argument contains an empty array, the DataValue array-type string will be null.

  Parameters:
    `values` - the string values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.util.Date[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type date DataValue.

  Parameters:
    `values` - the date values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(boolean[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type boolean DataValue.

  Parameters:
    `values` - the boolean values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Boolean[] values)

  Description copied from class: `DataValue`
  Constructs a new array-type boolean DataValue.

  Parameters:
    `values` - the boolean values
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Long id,
                                               int dataType)

  Description copied from class: `DataValue`
  Internal use only: Constructs a new DataValue of the specified data type for the specified id.

  For internal use only. Do not call this method.

  Parameters:
    `id` - the id
    `dataType` - the data type
  Returns:
    the new DataValue
  (Unpublished)

### newDataValue

    public static final DataValue newDataValue(DataValue dv)

  Description copied from class: `DataValue`
  Constructs a new DataValue identical to the specified DataValue except with no name.

  Parameters:
    `dv` - the existing DataValue
  Returns:
    the new nameless DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue(java.lang.Object value)

  Description copied from class: `DataValue`
  Constructs a new DataValue for the specified object.

  Parameters:
    `value` - the object
  Returns:
    the new DataValue
  (Published)

### newDataValue

    public static final DataValue newDataValue()

  Description copied from class: `DataValue`
  Constructs a null DataValue of an unknown data type.

  Returns:
    the new DataValue
  (Published)

### newNullDataValue

    public static final DataValue newNullDataValue(int dataType)

  Description copied from class: `DataValue`
  Constructs a null DataValue of the specified data type.

  `newNullDataValue(DATATYPE_STRING)` is equivalent to `newDataValue((String)null)`.

  Parameters:
    `dataType` - the data type
  Returns:
    the new DataValue
  (Published)

### getInteger

    public final int getInteger()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an int.

  Returns:
    the int value
  (Published)

### getInteger

    public final int getInteger(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an int.

  Parameters:
    `localizer` - the localizer
  Returns:
    the int value
  (Published)

### getIntegerObject

    public final java.lang.Integer getIntegerObject()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an Integer.

  Returns:
    the Integer value
  (Published)

### getIntegerObject

    public final java.lang.Integer getIntegerObject(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an Integer.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Integer value
  (Published)

### getLong

    public final long getLong()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a long.

  Returns:
    the long value
  (Published)

### getLong

    public final long getLong(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a long.

  Parameters:
    `localizer` - the localizer
  Returns:
    the long value
  (Published)

### getLongObject

    public final java.lang.Long getLongObject()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Long.

  Returns:
    the Long value
  (Published)

### getLongObject

    public final java.lang.Long getLongObject(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Long.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Long value
  (Published)

### getDouble

    public final double getDouble()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a double.

  Returns:
    the double value
  (Published)

### getDouble

    public final double getDouble(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a double.

  Parameters:
    `localizer` - the localizer
  Returns:
    the double value
  (Published)

### getDoubleObject

    public final java.lang.Double getDoubleObject()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Double.

  Returns:
    the Double value
  (Published)

### getDoubleObject

    public final java.lang.Double getDoubleObject(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Double.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Double value
  (Published)

### getString

    public final java.lang.String getString()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a String.

  Returns:
    the String value
  (Published)

### getString

    public final java.lang.String getString(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a String.

  Parameters:
    `localizer` - the localizer
  Returns:
    the String value
  (Published)

### getDate

    public final java.util.Date getDate()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Date.

  Returns:
    the Date value
  (Published)

### getDate

    public final java.util.Date getDate(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Date.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Date value
  (Published)

### getBoolean

    public final boolean getBoolean()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a boolean.

  Returns:
    the boolean value
  (Published)

### getBoolean

    public final boolean getBoolean(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a boolean.

  Parameters:
    `localizer` - the localizer
  Returns:
    the boolean value
  (Published)

### getBooleanObject

    public final java.lang.Boolean getBooleanObject()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Boolean.

  Returns:
    the Boolean value
  (Published)

### getBooleanObject

    public final java.lang.Boolean getBooleanObject(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as a Boolean.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Boolean value
  (Published)

### getIntegerArray

    public final int[] getIntegerArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of ints.

  Returns:
    the int array; null if the DataValue is null
  (Published)

### getIntegerArray

    public final int[] getIntegerArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of ints.

  Parameters:
    `localizer` - the localizer
  Returns:
    the int array; null if the DataValue is null
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer[] getIntegerObjectArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Integers.

  Returns:
    the Integer array; null if the DataValue is null
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer[] getIntegerObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Integers.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Integer array; null if the DataValue is null
  (Published)

### getLongArray

    public final long[] getLongArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of longs.

  Returns:
    the long array; null if the DataValue is null
  (Published)

### getLongArray

    public final long[] getLongArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of longs.

  Parameters:
    `localizer` - the localizer
  Returns:
    the long array; null if the DataValue is null
  (Published)

### getLongObjectArray

    public final java.lang.Long[] getLongObjectArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Longs.

  Returns:
    the Long array; null if the DataValue is null
  (Published)

### getLongObjectArray

    public final java.lang.Long[] getLongObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Longs.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Long array; null if the DataValue is null
  (Published)

### getDoubleArray

    public final double[] getDoubleArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of doubles.

  Returns:
    the double array; null if the DataValue is null
  (Published)

### getDoubleArray

    public final double[] getDoubleArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of doubles.

  Parameters:
    `localizer` - the localizer
  Returns:
    the double array; null if the DataValue is null
  (Published)

### getDoubleObjectArray

    public final java.lang.Double[] getDoubleObjectArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Doubles.

  Returns:
    the Double array; null if the DataValue is null
  (Published)

### getDoubleObjectArray

    public final java.lang.Double[] getDoubleObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Doubles.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Double array; null if the DataValue is null
  (Published)

### getStringArray

    public final java.lang.String[] getStringArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Strings.

  Returns:
    the String array; null if the DataValue is null
  (Published)

### getStringArray

    public final java.lang.String[] getStringArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Strings.

  Parameters:
    `localizer` - the localizer
  Returns:
    the String array; null if the DataValue is null
  (Published)

### getDateArray

    public final java.util.Date[] getDateArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Dates.

  Returns:
    the Date array; null if the DataValue is null
  (Published)

### getDateArray

    public final java.util.Date[] getDateArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Dates.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Date array; null if the DataValue is null
  (Published)

### getBooleanArray

    public final boolean[] getBooleanArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of booleans.

  Returns:
    the boolean array; null if the DataValue is null
  (Published)

### getBooleanArray

    public final boolean[] getBooleanArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of booleans.

  Parameters:
    `localizer` - the localizer
  Returns:
    the boolean array; null if the DataValue is null
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean[] getBooleanObjectArray()

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Booleans.

  Returns:
    the Boolean array; null if the DataValue is null
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean[] getBooleanObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets this DataValue's representation as an array of Booleans.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Boolean array; null if the DataValue is null
  (Published)

### getIntegerArray

    public final int getIntegerArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of ints.

  Parameters:
    `index` - the zero-based index
  Returns:
    the int value of that element
  (Published)

### getIntegerArray

    public final int getIntegerArray(DataValueLocalizer localizer,
                                     int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of ints.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the int value of that element
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer getIntegerObjectArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Integers.

  Parameters:
    `index` - the zero-based index
  Returns:
    the Integer value of that element
  (Published)

### getIntegerObjectArray

    public final java.lang.Integer getIntegerObjectArray(DataValueLocalizer localizer,
                                                         int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Integers.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Integer value of that element
  (Published)

### getLongArray

    public final long getLongArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of longs.

  Parameters:
    `index` - the zero-based index
  Returns:
    the long value of that element
  (Published)

### getLongArray

    public final long getLongArray(DataValueLocalizer localizer,
                                   int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of longs.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the long value of that element
  (Published)

### getLongObjectArray

    public final java.lang.Long getLongObjectArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Longs.

  Parameters:
    `index` - the zero-based index
  Returns:
    the Long value of that element
  (Published)

### getLongObjectArray

    public final java.lang.Long getLongObjectArray(DataValueLocalizer localizer,
                                                   int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Longs.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Long value of that element
  (Published)

### getDoubleArray

    public final double getDoubleArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of doubles.

  Parameters:
    `index` - the zero-based index
  Returns:
    the double value of that element
  (Published)

### getDoubleArray

    public final double getDoubleArray(DataValueLocalizer localizer,
                                       int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of doubles.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the double value of that element
  (Published)

### getDoubleObjectArray

    public final java.lang.Double getDoubleObjectArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Doubles.

  Parameters:
    `index` - the zero-based index
  Returns:
    the Double value of that element
  (Published)

### getDoubleObjectArray

    public final java.lang.Double getDoubleObjectArray(DataValueLocalizer localizer,
                                                       int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Doubles.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Double value of that element
  (Published)

### getStringArray

    public final java.lang.String getStringArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Strings.

  Parameters:
    `index` - the zero-based index
  Returns:
    the String value of that element
  (Published)

### getStringArray

    public final java.lang.String getStringArray(DataValueLocalizer localizer,
                                                 int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Strings.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the String value of that element
  (Published)

### getDateArray

    public final java.util.Date getDateArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Dates.

  Parameters:
    `index` - the zero-based index
  Returns:
    the Date value of that element
  (Published)

### getDateArray

    public final java.util.Date getDateArray(DataValueLocalizer localizer,
                                             int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Dates.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Date value of that element
  (Published)

### getBooleanArray

    public final boolean getBooleanArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of booleans.

  Parameters:
    `index` - the zero-based index
  Returns:
    the boolean value of that element
  (Published)

### getBooleanArray

    public final boolean getBooleanArray(DataValueLocalizer localizer,
                                         int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of booleans.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the boolean value of that element
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean getBooleanObjectArray(int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Booleans.

  Parameters:
    `index` - the zero-based index
  Returns:
    the Boolean value of that element
  (Published)

### getBooleanObjectArray

    public final java.lang.Boolean getBooleanObjectArray(DataValueLocalizer localizer,
                                                         int index)

  Description copied from class: `DataValue`
  Get the specified element of this DataValue's representation as an array of Booleans.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Boolean value of that element
  (Published)

### setName

    public final void setName(java.lang.String name)

  Description copied from class: `DataValue`
  Sets the name of this DataValue.

  A RuntimeException will be thrown if the instance's name is already set.

  Parameters:
    `name` - the string name
  (Published)

### overrideName

    public static final DataValue overrideName(java.lang.String name,
                                               DataValue dv)

  Description copied from class: `DataValue`
  Overrides the name set for this DataValue by cloning the DataValue if the name is already set.

  Parameters:
    `name` - the name
    `dv` - the DataValue
  Returns:
    either the previously-nameless DataValue with the name now set, or a clone of the previously-named DataValue with the name altered
  (Published)

### ensureUpperCaseName

    public final void ensureUpperCaseName()

  Description copied from class: `DataValue`
  Ensures the name of this DataValue (if any) is uppercase.

  (Published)

### getName

    public final java.lang.String getName()

  Description copied from class: `DataValue`
  Gets the name of this DataValue.

  Returns:
    the name
  (Published)

### getDataType

    public int getDataType()

  Description copied from class: `DataValue`
  Gets the data type of this DataValue.

  Returns:
    the data type
  (Published)

### getDataTypeLabel

    public java.lang.String getDataTypeLabel()

  Description copied from class: `DataValue`
  Gets the label for the data type associated with this DataValue.

  Returns:
    the data type label
  (Published)

### getDataTypeLabel

    public static java.lang.String getDataTypeLabel(int dataType)

  Description copied from class: `DataValue`
  Gets the label for the specified data type.

  Parameters:
    `dataType` - the datatype
  Returns:
    the label that corresponds to the specified data type
  (Published)

### isArrayType

    public final boolean isArrayType()

  Description copied from class: `DataValue`
  Gets whether this DataValue is an array-type DataValue.

  Returns:
    true if instance is an array type; false otherwise
  (Published)

### isArrayType

    public static final boolean isArrayType(int dataType)

  Description copied from class: `DataValue`
  Gets whether this DataValue is an array-type DataValue.

  Parameters:
    `dataType` - the data type to check
  Returns:
    true if instance is an array type; false otherwise
  (Published)

### isNullValue

    public boolean isNullValue()

  Description copied from class: `DataValue`
  Gets whether this DataValue is null.

  Returns:
    whether the DataValue is null
  (Published)

### getElementCount

    public int getElementCount()

  Description copied from class: `DataValue`
  Gets the number of elements in an array-type DataValue.

  Returns:
    the number of elements, or 1 if the DataValue is not an array type, or 0 if the DataValue is null
  (Published)

### getObject

    public java.lang.Object getObject(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets the default object representation of this DataValue.

  For example, the default object representation of a boolean DataValue is a Java Boolean.

  Parameters:
    `localizer` - the localizer
  Returns:
    the default object representation
  (Published)

### toString

    public final java.lang.String toString()

  Description copied from class: `DataValue`
  Gets the default object representation of this DataValue as a string.

  Equivalent to `getObject(null).toString()`. Unlike the `getString` method, the returned string is completely unformatted and unlocalized.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation
  (Published)

### toString

    public final java.lang.String toString(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Gets the default object representation of this DataValue as a string.

  Equivalent to `getObject(localizer).toString()`. Unlike the `getString` method, the returned string is completely unformatted and unlocalized.

  Returns:
    the string representation
  (Published)

### hashtableToArray

    public static final DataValue[] hashtableToArray(java.util.Hashtable ht)

  Description copied from class: `DataValue`
  Converts a hash table of DataValues to an array.

  If a null Hastable is specified, a null value is returned as the array. Otherwise the length of the returned array will be equal to the size of the Hashtable.

  Parameters:
    `ht` - the Hashtable of DataValues
  Returns:
    an array of DataValues
  (Published)

### arrayToHashtable

    public static final java.util.Hashtable arrayToHashtable(DataValue[] values)

  Description copied from class: `DataValue`
  Converts an array of DataValues to a Hashtable, hashed by name.

  DataValues whose name is unset are ignored, and not reflected in the Hashtable returned.

  Parameters:
    `values` - an array of DataValues
  Returns:
    the Hashtable of DataValues
  (Published)

### convertToInteger

    protected int convertToInteger(DataValueLocalizer localizer,
                                   int index)

  Description copied from class: `DataValue`
  Converts this DataValue to an int.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the int value
  (Unpublished)

### convertToIntegerObject

    protected java.lang.Integer convertToIntegerObject(DataValueLocalizer localizer,
                                                       int index)

  Description copied from class: `DataValue`
  Converts this DataValue to an Integer.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Integer value
  (Unpublished)

### convertToLong

    protected long convertToLong(DataValueLocalizer localizer,
                                 int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a long.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the long value
  (Unpublished)

### convertToLongObject

    protected java.lang.Long convertToLongObject(DataValueLocalizer localizer,
                                                 int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a Long.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Long value
  (Unpublished)

### convertToDouble

    protected double convertToDouble(DataValueLocalizer localizer,
                                     int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a double.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the double value
  (Unpublished)

### convertToDoubleObject

    protected java.lang.Double convertToDoubleObject(DataValueLocalizer localizer,
                                                     int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a Double.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Double value
  (Unpublished)

### convertToString

    protected java.lang.String convertToString(DataValueLocalizer localizer,
                                               int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a String.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the String value
  (Unpublished)

### convertToDate

    protected java.util.Date convertToDate(DataValueLocalizer localizer,
                                           int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a Date.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Date value
  (Unpublished)

### convertToBoolean

    protected boolean convertToBoolean(DataValueLocalizer localizer,
                                       int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a boolean.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the boolean value
  (Unpublished)

### convertToBooleanObject

    protected java.lang.Boolean convertToBooleanObject(DataValueLocalizer localizer,
                                                       int index)

  Description copied from class: `DataValue`
  Converts this DataValue to a Boolean.

  Parameters:
    `localizer` - the localizer
    `index` - the zero-based index
  Returns:
    the Boolean value
  (Unpublished)

### convertToIntegerArray

    protected int[] convertToIntegerArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of ints.

  Parameters:
    `localizer` - the localizer
  Returns:
    the int array; null if the DataValue is null
  (Unpublished)

### convertToIntegerObjectArray

    protected java.lang.Integer[] convertToIntegerObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Integers.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Integer array; null if the DataValue is null
  (Unpublished)

### convertToLongArray

    protected long[] convertToLongArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of longs.

  Parameters:
    `localizer` - the localizer
  Returns:
    the long array; null if the DataValue is null
  (Unpublished)

### convertToLongObjectArray

    protected java.lang.Long[] convertToLongObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Longs.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Long array; null if the DataValue is null
  (Unpublished)

### convertToDoubleArray

    protected double[] convertToDoubleArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of doubles.

  Parameters:
    `localizer` - the localizer
  Returns:
    the double array; null if the DataValue is null
  (Unpublished)

### convertToDoubleObjectArray

    protected java.lang.Double[] convertToDoubleObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Doubles.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Double array; null if the DataValue is null
  (Unpublished)

### convertToStringArray

    protected java.lang.String[] convertToStringArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Strings.

  Parameters:
    `localizer` - the localizer
  Returns:
    the String array; null if the DataValue is null
  (Unpublished)

### convertToDateArray

    protected java.util.Date[] convertToDateArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Dates.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Date array; null if the DataValue is null
  (Unpublished)

### convertToBooleanArray

    protected boolean[] convertToBooleanArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of booleans.

  Parameters:
    `localizer` - the localizer
  Returns:
    the boolean array; null if the DataValue is null
  (Unpublished)

### convertToBooleanObjectArray

    protected java.lang.Boolean[] convertToBooleanObjectArray(DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts this DataValue to an array of Booleans.

  Parameters:
    `localizer` - the localizer
  Returns:
    the Boolean array; null if the DataValue is null
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.Number value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Number to an Integer.

  Parameters:
    `value` - the Number
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Integer
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.Boolean value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Boolean to an Integer.

  Parameters:
    `value` - the Boolean
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Integer
  (Unpublished)

### toInteger

    protected final java.lang.Integer toInteger(java.lang.String value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a String to an Integer.

  Parameters:
    `value` - the String
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Integer
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.Number value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Number to a Long.

  Parameters:
    `value` - the Number
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Long
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.Boolean value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Boolean to a Long.

  Parameters:
    `value` - the Boolean
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Long
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.util.Date value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Date to a Long.

  Parameters:
    `value` - the Date
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Long
  (Unpublished)

### toLong

    protected final java.lang.Long toLong(java.lang.String value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a String to a Long.

  Parameters:
    `value` - the String
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Long
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.Number value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Number to a Double.

  Parameters:
    `value` - the Number
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Double
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.Boolean value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Boolean to a Double.

  Parameters:
    `value` - the Boolean
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Double
  (Unpublished)

### toDouble

    protected final java.lang.Double toDouble(java.lang.String value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a String to a Double.

  Parameters:
    `value` - the String
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Double
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Integer value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts an Integer to a Boolean.

  Parameters:
    `value` - the Integer
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Long value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Long to a Boolean.

  Parameters:
    `value` - the Long
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.Double value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Double to a Boolean.

  Parameters:
    `value` - the Double
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toBoolean

    protected final java.lang.Boolean toBoolean(java.lang.String value,
                                                DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a String to a Boolean.

  Parameters:
    `value` - the String
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Integer value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts an Integer to a String.

  Parameters:
    `value` - the Integer
    `localizer` - the DataValueLocalizer to use
  Returns:
    the String
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Long value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Long to a String.

  Parameters:
    `value` - the Long
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Double value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Double to a String.

  Parameters:
    `value` - the Double
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Boolean
  (Unpublished)

### toString

    protected final java.lang.String toString(java.lang.Boolean value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Boolean to a String.

  Parameters:
    `value` - the Boolean
    `localizer` - the DataValueLocalizer to use
  Returns:
    the String
  (Unpublished)

### toString

    protected final java.lang.String toString(java.util.Date value,
                                              DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Date to a String.

  Parameters:
    `value` - the Date
    `localizer` - the DataValueLocalizer to use
  Returns:
    the String
  (Unpublished)

### toDate

    protected final java.util.Date toDate(java.lang.String value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a String to a Date.

  Parameters:
    `value` - the String
    `localizer` - the DataValueLocalizer to use
  Returns:
    the Date
  (Unpublished)

### toDate

    protected final java.util.Date toDate(java.util.Date value,
                                          DataValueLocalizer localizer)

  Description copied from class: `DataValue`
  Converts a Date to a Date (creates a clone).

  Parameters:
    `value` - the Date
    `localizer` - the DataValueLocalizer to use
  Returns:
    the cloned Date
  (Unpublished)

### compareTo

    public int compareTo(java.lang.Object o)

  Description copied from class: `DataValue`
  Compares two DataValues.

  Delegates comparison to a comparison of the two names.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - the second DataValue to compare with
  Returns:
    a negative integer, zero, or a positive integer as this object is less than, equal to, or greater than the specified object.
  (Unpublished)

### toSqlType

    public static int toSqlType(int dataType)

  Description copied from class: `DataValue`
  Gets the SQL (JDBC) type for the specified data type.

  Parameters:
    `dataType` - the Attribute data type
  Returns:
    the SQL type
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD